DRUO
Get started
Connect Links

List Connect Links

GEThttps://api.druo.com/connect/link/list

Retrieve a paginated list of Connect Links.

Returns a list of existing Connect Links. This endpoint supports pagination and advanced filtering by parameters such as the Connect Link UUID or the end user's email address.

Query parameters

uuidstringoptional

Filter the list of Connect Links by UUID.

end_user_emailstringoptional

Filter the list of Connect Links by the end user's email address.

pageintegeroptional

The page number to return. Starts at 1.

page_sizeintegeroptional

The number of items per page. Defaults to 1000 when omitted.

Pagination · Filters

Response— Returns a paginated list.

uuidstringoptional

The Connect Link's UUID.

Example: clk_aee571f2-cdf0-4fad-8abb-74fcb8b83f20
codestringoptional

The Connect Link's unique code.

Example: CLR33JXMNXU
urlstringoptional

The URL that the user should be redirected to in order to connect their account.

Example: https://link.druo.com/connect/secure?sl=fd6f7577c
expiredbooleanoptional

Indicates whether the Connect Link has expired.

Example: false
background_colorstringoptional

The HEX color code for the link's background.

Example: #333333
button_colorstringoptional

The HEX color code for the link's button.

Example: #ffffff
button_text_colorstringoptional

The HEX color code for the link's button text.

Example: #000000

The HEX color code for the content box text.

Example: #333333

The HEX color code for the content box background.

Example: #eaeaea
intro_textobjectoptional

Localized introductory text mapped by language code. All options must include the registered merchant name and the text 'DRUO'.

Example: {"en_US": "NOVO uses DRUO to connect to your bank account.", "es_CO": "NOVO utiliza a DRUO para conectarse con tu cuenta bancaria."}
delivery_statusstringoptional

The current delivery status of the Connect Link.

Example: CREATED
end_userEndUserCustomeroptional

Detailed information about the associated end user customer.

default_institutionstringoptional

The default financial institution assigned to the Connect Link.

primary_referencestringoptional

The primary reference string used to associate the connected account with an external system entity.

Example: 23423524
secondary_referencestringoptional

The secondary reference string used to associate the connected account with an external system entity.

Example: bj39fhow39fhqp3f0hfae4344
default_languagestringoptional

The language code used to display the link. If left blank, the system defaults to English.

Possible values:es_COen_US
redirect_urlstringoptional

The URL to redirect the user to after completing the connection flow. Parameters such as reference, status, and connected account code will be appended to this URL.

Example: https://example.com
expiration_datestringoptional

The expiration timestamp for this Connect Link in GMT. If the link is expired when opened, the user will be shown an error page.

Example: 2021-11-16T23:23:38

If true, the user is redirected immediately to the redirect URL, bypassing the standard DRUO confirmation page.

Example: false
metadataobjectoptional

Key-value pairs containing custom metadata attached to the object. Supports up to 50 keys, with key names up to 40 characters and values up to 500 characters.

Example: {"order_id": "6735"}
date_created_gmtstringoptional

The creation timestamp of the account in GMT.

Example: 2021-11-15T23:23:38Z
date_updated_gmtstringoptional

The last updated timestamp of the account in GMT.

Example: 2021-11-15T23:23:38Z
NextPUTExpire Connect Link